طلب يا جماعه لو سمحتوا محتاج ليسب wcord ضرورى اللي شرح عليه المهندس اشرف غنيم تسليح العبارات وعمل الشوب

ميدو الحبوب

عضو جديد
إنضم
19 يناير 2009
المشاركات
9
مجموع الإعجابات
0
النقاط
0
يا جماعه لو سمحتوا محتاج ليسب wcord ضرورى اللي شرح عليه المهندس اشرف غنيم تسليح العبارات وعمل الشوب درونج ضرووووووووووووووووووووووووووووووووووووووووووووووووووري
 

مواضيع مماثلة

motee-z

عضو
إنضم
19 مارس 2009
المشاركات
103
مجموع الإعجابات
19
النقاط
18
;writing coordinates on screen prepared by eng Motee Malazi syria lattakia
;for inquiry e mail at :[email protected]
(defun c:wrco(/ px pt x y z dscrp)
(while
(setq px (getpoint "\n click the point "))
(setq osmd (getvar "osmode"))
(initget 1)
(setq pt (getpoint px "\n click for place for writing"))

(setq y (cadr px))
(setq x (car px))
(setq z(last px))
(if(null z)
(setq z z))
(setq znew(getreal(strcat"\n enter level or fix reading level<"(rtos z 2 3)">:")))
(if znew(setq z znew))
(setvar "osmode"0)
(setvar"textstyle" "standard")
(setq dscrp (getstring 1"\n description of the point(press enter for nothing):"))
(if(null dscrp)
(progn
(command "_qleader" px pt""""(strcat"x="(rtos x 2 3 ))
(strcat"y="(rtos y 2 3 ))(strcat"z="(rtos z 2 3 )) "" "")))
(command "_qleader" px pt""""(strcat"x="(rtos x 2 3 ))
(strcat"y="(rtos y 2 3 ))(strcat"z="(rtos z 2 3 )) dscrp"" "")
(setq tds(entlast))
(if (null sca)
(setq sca 1)
)
(initget 6)
(setq scan (getreal (strcat"\n enter scale factor<"(rtos sca 2 3)">:")))
(if scan(setq sca scan))
(command"scale"tds"" pt sca)
(setvar"osmode"osmd)

)
)
 
أعلى